### Method

# Gtk Widgetshould_layout

#### Declaration [src]

    gboolean
    gtk_widget_should_layout (
      GtkWidget* widget
    )

#### Description [src]

Returns whether `widget` should contribute to the measuring and allocation of its parent.

This is `FALSE` for invisible children, but also for children that have their own surface.

#### Return value

Type: `gboolean`

`TRUE` if child should be included in measuring and allocating.